Subject: [Tools-discuss] RE: Last Call: 'Requirements for IETF Draft Submission Toolset' to Informational RFC

From: Bill Sommerfeld <[email-masked]>
Date: Fri, 08 Apr 2005 09:48:51 -0400

On Fri, 2005-04-08 at 09:27, Elwyn davies wrote:
> Xml2rfc has a mechanism for adding comments which is a little bit more
> trouble than M$Word's but works in very similar ways.
> 
> You are right that revision marking is not so easy but the various diff
> tools help.  Maybe we ought to ask for some way to do this before the
> xml2rfc improvement window closes!

that's something I prefer to see outside the document rather than inside
it.

my biggest gripe is the fact that (as of the last time I looked) the
draft version is taken from the input filename rather than text internal
to the file, which makes putting this stuff under source control in a
meaningful way really annoying as most of the lightweight SCM tools like
CVS, RCS, and SCCS don't cope well with renames.

						- Bill

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tools-discuss

---

From: "Elwyn davies" <[email-masked]>
Date: Fri, 8 Apr 2005 14:27:07 +0100

Regards,
Elwyn

> -----Original Message-----
> From: Stewart Bryant [mailto:[email-masked]]
> Sent: 08 April 2005 14:11
> To: Elwyn davies
> Cc: 'Brian E Carpenter'; [email-masked]; 'Bruce Lilly'; 'Alex
> Rousskov'; [email-masked]; 'IETF TOOLS discussion'
> Subject: Re: Last Call: 'Requirements for IETF Draft Submission Toolset'
> to Informational RFC
> 
> 
> 
> Elwyn davies wrote:
> 
> > FYI I am an ex-Word user, now fully converted to xml2rfc.
> >
> > I thought Word was a convenient way to conform to Draft style and handle
> > revision control but was frustrated by the toolchain.  The main problem
> I
> > found was the badly broken 'Generic Text Printer' driver which has not
> > worked properly for a number of versions of Word in my experience.
> Symptoms
> > include:
> > - unilaterally changing the paragraph width so that it outputs one
> character
> > on each line starting from some random point in the document
> > - unilaterally changing the fount height to a microscopic value so that
> text
> > is converted to a horizontal line in random paragraphs
> >
> > Microsoft are in denial about these bugs.  Presumably there is not much
> call
> > for the Generic Text Printer. (I must admit I haven't bothered to try it
> in
> > my most recent version of Word, but I wouldn't hold my breath).
> >
> > I am aware of other possible ways to get the ASCII output but they are
> all
> > just as flaky and tedious.
> >
> > I'll live with the need for balanced tags (I am pretty adept at
> detecting
> > what has gone wrong by now) and some other minor irritations for the
> sake of
> > knowing that I won't end up fighting the tools when trying to get a
> draft
> > out close to the deadlines (when of course the random bugs noted above
> > always strike!)
> >
> > I know several other authors who have defected for similar reasons.
> 
> I have never hit that bug. I might have a different view if I had.
> 
> What is useful is the ability for authors to imbed comments to each other
> and track changes inline etc as the version develops. I have never tried
> the xml tool chain but I assume that it does not have that feature?
> 
> That said, as a person that thinks in diagrams and not in text, I would
> take any tool chain, regardless of cost or convenience, if the end
> result was that normative IETF text had "proper" drawings just like
> IEEE and ITU.
> 
> Stewart
> 
> >
> > Regards,
> > Elwyn
> >
> >
> >>-----Original Message-----
> >>From: [email-masked] [mailto:[email-masked]] On Behalf Of
> >>Stewart Bryant
> >>Sent: 08 April 2005 10:47
> >>To: Brian E Carpenter
> >>Cc: [email-masked]; Bruce Lilly; Alex Rousskov; [email-masked];
> IETF
> >>TOOLS discussion
> >>Subject: Re: Last Call: 'Requirements for IETF Draft Submission Toolset'
> >>to Informational RFC
> >>
> >>I would also be interesting to know how many use Microsoft Word
> >>to produce drafts.
> >>
> >>Stewart
> >>
> >>Brian E Carpenter wrote:
> >>
> >>
> >>>Regardless of the interesting side-discussion about 'voting',
> >>>what the toy shows after about a day is:
> >>>
> >>>prefer nroff: 8
> >>>prefer xml:  37
> >>>neither:      9
> >>>
> >>>which implies a few hundred abstentions, of course.
> >>>
> >>>   Brian
> >>>
> >>
> >>
> >>Ietf mailing list
> >>[email-masked]
> >>https://www1.ietf.org/mailman/listinfo/ietf
> >
> >
> >

---

From: Stewart Bryant <[email-masked]>
Date: Fri, 08 Apr 2005 14:10:53 +0100

Elwyn davies wrote:

> revision control but was frustrated by the toolchain.  The main problem I
> worked properly for a number of versions of Word in my experience. Symptoms
> include:
> - unilaterally changing the paragraph width so that it outputs one character
> - unilaterally changing the fount height to a microscopic value so that text
> Microsoft are in denial about these bugs.  Presumably there is not much call
> for the Generic Text Printer. (I must admit I haven't bothered to try it in
> I am aware of other possible ways to get the ASCII output but they are all
> I'll live with the need for balanced tags (I am pretty adept at detecting
> what has gone wrong by now) and some other minor irritations for the sake of
> knowing that I won't end up fighting the tools when trying to get a draft

Stewart

>>Cc: [email-masked]; Bruce Lilly; Alex Rousskov; [email-masked]; IETF
>>TOOLS discussion

---

From: "Alex Rousskov" <[email-masked]>
Date: Fri, 08 Apr 2005 10:19:16 -0600

> CVS, RCS, and SCCS don't cope well with renames.

Xml2rfc takes the draft version from XML sources, not draft filename.  
FWIW, I do not put the draft version into the file name. In fact, I do not  
even name the draft file following the IETF standard (so renaming the  
draft will not cause me any pain). Instead, I simply copy the file to a  
properly named file when I need to submit it for posting. That last step  
can be easily automated as well.

Alex.
P.S. The fact that CVS and friends cannot cope with file name changes is a  
[well known] huge bug in their design.

---

From: Bill Fenner <[email-masked]>
Date: Fri, 8 Apr 2005 10:17:08 -0700

On Apr 8, 2005 6:48 AM, Bill Sommerfeld <[email-masked]> wrote:
> to the file

If you use <rfc docName="draft-fenner-xml-aint-so-bad-01">, and run
the tool like "xml2rfc input.xml draft-fenner-xml-aint-so-bad-01.txt",
then you can keep the input file named whatever you like. 
draft-fenner-literal-zoneid-01.txt was produced that way; its source
filename is "literal-zoneid.xml".

  Bill